Dreambox One

  • Hallo,


    ich habe eine Frage zur Dreambox One. Laufen Programme für die DM900,DM920 auch auf der Dreambox One oder muß ich neue Excutables für die Dreambox One erstellen ?


    Viele Grüße und Dank


    Aladin

  • Wenn die libs stimmen schon ...

    Ich benutze eine Menge aus dem Debian Stretch für arm64, das kommt der buildumgebung des OE 2.6 noch am nächsten, sogar viele den Pakete kannst du direkt installieren oder musst nur die dependencies anpassen. Das war nicht umsonst das erste was ich ins Barry Allen gemacht habe. Statisch gelinkte binaries der 920 laufen viele auch auf der One und umgekehrt.

    Bad mood, bad manners, bad Plugins, you have been warned :whistling:

    Edited once, last by gutemine ().

  • Hallo,


    wenn die Binaries von der 900 oder 920 auf der Dreambox One laufen. Dann versucht doch mal noad und mein WakeOnLan - Shutdown - Mount Plugin für die 900/920 auf der Dreambox One zu testen. Ich kann das leider nicht, weil ich keine Dreambox One habe.


    Viele Grüße und Dank


    Aladin

  • Du hast nicht gelesen was ich geschrieben habe, mach ein ldd auf das binary und du wirst sehen das es kein statisch gelinktes ist...

    Bad mood, bad manners, bad Plugins, you have been warned :whistling:

    Edited once, last by gutemine ().

  • wenn die Binaries von der 900 oder 920 auf der Dreambox One laufen. Dann versucht doch mal noad und mein WakeOnLan - Shutdown - Mount Plugin für die 900/920 auf der Dreambox One zu testen. Ich kann das leider nicht, weil ich keine Dreambox One habe.

    Nein, deine Binaries funktionieren nicht, daher hab ich ja oben schon geschrieben du musst sie neu bauen.

  • Man kann sich so ein OE 2.6 für die alten Boxen selber bauen weil zum Download gibt es ja keines?

  • Er braucht es nicht für die alten Boxen. Er braucht es, um die binaries für die one kompilieren zu können

    Gruss
    Dre


    Boxen (im Einsatz): DM920, DM900, DMOne
    Developer Project Merlin - we are OpenSource

  • aladin25 hat keine One deswegen habe ich gedacht es wäre für die 9xx UHD und könnte dann vielleicht auch auf der 7080HD laufen😁

  • Im Ihad gibt es das neue GP4 für OE2.6 das könnte ich dann auch nutzen😊

    Das war nur eine Überlegung und kein Muss!

    Oder was meinst du mit dem selben Stand?

  • Nochmals, du kannst auf der 92x auch mit Barry Allen Debian Stretch für armhf also 32 Bit mit gcc -static binaries bauen die auch auf der One im arm64 laufen, wenn du Glück hast und keine inkompatible libs dabei sind.


    Das kann jeder mit hello world oder ähnlichem gerne selber ausprobieren wenn er mir nicht glaubt.

    Bad mood, bad manners, bad Plugins, you have been warned :whistling:

  • Kann Jemand mal Plaincast probieren, Box wird sporadisch in den Clients angezeigt. Verbindung wird dann im Client als aufgebaut angezeigt aber die One gibt nix wieder.


    Der Computer ist die logische Weiterentwicklung des Menschen: Intelligenz ohne Moral.